# Uses of Class
com.sun.management.VMOption

Packages that use VMOption
Package
Description
com.sun.management
This package contains the JDK's extension to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.

## Uses of VMOption in com.sun.management

Methods in com.sun.management that return VMOption
Modifier and Type
Method
Description
`static VMOption`
VMOption.`from​(CompositeData cd)`
Returns a `VMOption` object represented by the given `CompositeData`.
`VMOption`
HotSpotDiagnosticMXBean.`getVMOption​(String name)`
Returns a `VMOption` object for a VM option of the given name.
Methods in com.sun.management that return types with arguments of type VMOption
Modifier and Type
Method
Description
`List<VMOption>`
HotSpotDiagnosticMXBean.`getDiagnosticOptions()`
Returns a list of `VMOption` objects for all diagnostic options.